For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
      • PUTUpdates the account with the specified id.
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceAccounts

Updates the account with the specified id.

PUT
https://api.awork.com/api/v1/accounts/:accountId
PUT
/api/v1/accounts/:accountId
$curl -X PUT https://api.awork.com/api/v1/accounts/accountId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "email": "carla.creative@ncnstn.com",
3 "firstName": "Carla",
4 "lastName": "Creative",
5 "language": "en-GB",
6 "timezone": "Europe/London",
7 "mfaEnabled": true,
8 "id": "123e4567-e89b-12d3-a456-426614174000",
9 "passwordIsAutoGenerated": false,
10 "emailConfirmed": true,
11 "externalAccounts": [
12 {
13 "provider": "google",
14 "externalUserId": "11112222333344445555"
15 }
16 ],
17 "mfaProviders": [
18 "Email",
19 "Authenticator"
20 ],
21 "passwordlessEnabled": true
22}
Updates the account with the specified id. Does not update the external account of the user. Use the 'accounts/connectToSocialAccount' or 'accounts/disconnectToSocialAccount' endpoints instead. If the email of the account is changed, the email will not be changed immediately but a verification email will be sent to the new email address. The email will only be changed after the user has verified the new email address. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Invites a user to the workspace.

Next
Built with

Updates the account with the specified id. Does not update the external account of the user. Use the ‘accounts/connectToSocialAccount’ or ‘accounts/disconnectToSocialAccount’ endpoints instead. If the email of the account is changed, the email will not be changed immediately but a verification email will be sent to the new email address. The email will only be changed after the user has verified the new email address.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequiredformat: "uuid"
The id of the account.

Request

The model to update the account.
emailstring or nullOptionalformat: "email"
The email of the account.
firstNamestring or nullOptional
The first name of the account.
lastNamestring or nullOptional
The last name of the account.
languagestring or nullOptional

The language of the account, as a Language Culture Name (de-DE).

timezonestring or nullOptional
The timezone of the account. The format of the timezone is the IANA standard.
mfaEnabledbooleanOptional
Whether MFA is enabled for the account.

Response

OK
emailstring or nullformat: "email"
The email of the account.
firstNamestring or null
The first name of the account.
lastNamestring or null
The last name of the account.
languagestring or null

The language of the account, as a Language Culture Name (de-DE).

timezonestring or null
The timezone of the account. The format of the timezone is the IANA standard.
mfaEnabledboolean
Whether MFA is enabled for the account.
idstringformat: "uuid"
The id of the account.
passwordIsAutoGeneratedboolean
Whether the password is generated by awork.
emailConfirmedboolean
Whether the email has been confirmed by the user.
externalAccountslist of objects or null
The list of connected social providers.
mfaProviderslist of strings or null
The enabled MFA providers for the account. Currently we support "Email" and "Authenticator".
passwordlessEnabledboolean
Whether the account has passwordless login enabled.